/*
 * @Author: your name
 * @Date: 2021-06-07 20:26:31
 * @LastEditTime: 2021-06-16 19:00:26
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \ld-pad\src\common\api.js
 */
import { request } from './request.js'

// 获取当前登录用户详情
export function loginApp(data) {
	return request('post', "/mobile/login",data)  
}
////////////////////////////////////////////////////////  代理 ///////////////////////////////////////////////////////////
// 检测放行记录列表 响应l类型 1待处理 2处理中 3已完成
export function iniPlanList(data) {
	return request('post', "/mobile/zdPlan/iniPlanList",data)
}

// 响应 1.首件 2.200 3.防错
export function versionResponse(data) {
	return request('post', "/mobile/zdPlan/versionResponse",data)
}

// 查看记录详情
export function getDetails(data) {
	return request('post', "/mobile/zdPlan/getDetails",data)
}

// 查询 该响应哪些 检查类型 versionid
export function getFrequency(data) {
	return request('post', "/mobile/zdPlan/getFrequency",data)
}

// 保存检查结果
export function saveResult(data) {
	return request('post', "/mobile/zdPlan/saveResult",data)
}

// 保存 扳手使用 备注
export function saeSpanner(data) {
	return request('post', "/mobile/zdPlan/saeSpanner",data)
}

// 提交 检查分项id
export function submit(data) {
	return request('post', "/mobile/zdPlan/submit",data)
}
// 响应文件 版本id
export function resFile(data) {
	return request('post', "/mobile/zdPlan/resFile",data)
}

// 中断件 提交
export function submitBreak(data) {
	return request('post', "/mobile/zdPlan/submitBreak",data)
}

// 图片路径
export function getInfo(data) {
	return request('post', "/file/file/getInfo",data)
}

////////////////////////////////////////////////////////  冀朝明 ///////////////////////////////////////////////////////////
// 防错点检列表
export function proofingQuery(data) {
	return request('post', "/mobile/longDyPlan/selectDutyPlan",data)
}

// 各状态下点检内容
export function versionInfo(data) {
	return request('post', "/mobile/longDyPlan/dutyResultInfo",data)
}

// 防错响应
export function versionsRes(data) {
	return request('post', "/mobile/longDyPlan/dutyVersionsRes",data)
}

// 防错保存-提交
export function versionSubInsert(data) {
	return request('post', "/mobile/longDyPlan/dutyProcedureIn",data)
}

// 查看表头
export function dutyPlanTop(data) {
	return request('post', "/mobile/longDyPlan/dutyPlanTop",data)
}

// 查看附件
export function selectFile(data) {
	return request('post', "/mobile/proofingPad/selectFile",data)
}

// 巡检查看计划列表
export function inspectionPlan(data) {
	return request('post', "/mobile/longDyPlan/inspectionPlan",data)
}

// 责任人流程下点检项
export function dutyPlanInfo(data) {
	return request('post', "/mobile/longDyPlan/dutyPlanInfo",data)
}

// 责巡视列表 详情
export function patrolWaitDetails(data) {
	return request('post', "/mobile/longDyPlan/patrolWaitDetails",data)
}

// 责巡视列表 详情
export function patrolSubmit(data) {
	return request('post', "/mobile/longDyPlan/patrolSubmit",data)
}

// 异常 - 解决异常问题
export function solveAbnormal(data) {
	return request('post', "/mobile/longDyPlan/solveAbnormal",data)
}

// 异常 - 解决异常问题
export function patrolUpdate(data) {
	return request('post', "/mobile/longDyPlan/patrolUpdate",data)
}

// 巡视列表 - 扫码 - 返回请求
export function patrolScan(data) {
	return request('post', "/mobile/longDyPlan/patrolScan",data)
}

// 巡视列表 - 扫码 - 返回请求
export function dutyPatrolScan(data) {
	return request('post', "/mobile/longDyPlan/dutyPatrolScan",data)
}